Ask Your Question
0

Error in building a Package (ppl_detection)

asked 2011-06-20 02:19:22 -0500

Deepak gravatar image

Hey, I was trying to install this package from source :

http://www.ros.org/wiki/ppl_detection

I cannot build the package. Apparently, there is some dependency error. It says,

[rospack] couldn't find dependency [pcl_visualization] of [ppl_detection]

What can I do to resolve this issue? Thanks in advance

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2011-06-20 04:57:46 -0500

Nash gravatar image

Hi,
It is complaining about a missing dependency in your package. It needs the package "pcl_visualization"

You might want to confirm if you do not have the package "pcl_visualization".

 roscd pcl_visualization 

If you cannot find it, you would have to obtain it from this source
http://www.ros.org/wiki/pcl_visualization

edit flag offensive delete link more

Comments

Thanks. I had tried that out. I went back to ubuntu 10.10 from 11.04. That solved the problem.
Deepak gravatar image Deepak  ( 2011-06-21 20:53:25 -0500 )edit
More specifically, "sudo apt-get install ros-electric-perception_pcl_addons" should solve the issue (if you're on electric).
130s gravatar image 130s  ( 2011-12-01 11:30:47 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-06-20 02:19:22 -0500

Seen: 186 times

Last updated: Jun 20 '11